@echo off
if "%OS%" == "Windows_NT" setlocal

if "%JOBSERVER_HOME%" == "" goto guessIt

if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
set dumby=""
rem Even though it is set and not correct try to guess
:guessIt

set JOBSERVER_HOME=.
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
rem Try to guess what JOBSERVER_HOME is
set JOBSERVER_HOME=..
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
set JOBSERVER_HOME=..\..
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
echo  The JOBSERVER_HOME environment variable is not set. This
echo  variable needs to be set to run this program. Program
echo  exiting.
goto end

:okHome

call "%JOBSERVER_HOME%\conf\system-config.bat"

if exist "%JAVA_HOME%\bin\java.exe" goto okExecJDK

if exist "%JRE_HOME%\bin\java.exe" goto okExecJRE
echo "Neither JRE_HOME nor JAVA_HOME environment variable is set."
echo "One of these variables must be set to run this program."
echo "Program exiting."
goto end

:okExecJRE
set JS_JVM_HOME=%JRE_HOME%
goto okExec

:okExecJDK
set JS_JVM_HOME=%JAVA_HOME%

:okExec

cd /D "%JOBSERVER_HOME%"

set JOBSERVER_HOME=%CD%

set CAT_VAR=""
FOR %%f IN (sys\lib\jsthird\hsqldb*.jar) DO call "%JOBSERVER_HOME%\bin\toolbin\parsecmd.bat" %%f
set CLASSPATH=%CAT_VAR%

set _EXECJAVA=%JS_JVM_HOME%\bin\javaw.exe

set DBPORT=%dbPort%

for /F "usebackq" %%i IN (`hostname`) DO set jshost=%%i
set JS_SERVER_HOSTNAME=%jshost%
if "%JOBSERVER_HOSTNAME%" == "" goto stepLocalhost
set JS_SERVER_HOSTNAME=%JOBSERVER_HOSTNAME%
:stepLocalhost

set DBHOST=%JS_SERVER_HOSTNAME%
if "%dbHost%" == "" goto execHome
set DBHOST=%dbHost%

start "JobServer DBManager" "%_EXECJAVA%" -cp %CLASSPATH% org.hsqldb.util.DatabaseManagerSwing --driver org.hsqldb.jdbc.JDBCDriver --url jdbc:hsqldb:hsql://%DBHOST%:%DBPORT% --user %dbUsername% --password %dbPassword%

:end
